Filtering of issues on Versions
Status: Closed Start date: 2008-05-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

Currently in version 0.7.1, there's no possibility to filter the issues on the Version field associated to the issues. This would be very

helpful to list all "not associated" issues to disposition them, making sure nothing important is forgotten for example.

It would be nice to be associated to version 0.8. I let you choose the version target.

History

#1 - 2008-05-19 14:19 - gabriel scolan

- Status changed from New to Resolved

I'm sorry to have open this, it seems I was wrong. The option "Target version" appeared on my filters. I close this one.

#2 - 2008-05-25 16:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

Yes, target version filter is available.

#3 - 2008-06-20 23:58 - Anthony Topper

Is there a way to do this via a GET request though?   I am trying to develop a Mylyn query that grabs all the tasks for a specific version and I am

having trouble.

#4 - 2008-06-22 15:19 - Jean-Philippe Lang

To retreive the issues assigned to version with id=2:

/projects/foo/issues?set_filter=1&fixed_version_id=2

#5 - 2008-09-08 08:35 - Ewan Makepeace

- Status changed from Closed to Reopened

Sorry for reopening this issue but I ran across this today.

Filtering of issues by target version is available at the project level but not at the root or parent project level (presumably because the versions are per

project and not common across projects).

Still I have deliberately defined identical version numbers across all projects precisely so that I could sort and filter issues by version and am now

stuck. Is there no way we could, perhaps, allow filter by "Version Contains (string)" or "Version Starts With"?

Would be quite useful...

#6 - 2008-12-17 23:37 - ben donohue

+1.

In the interim I think we can achieve this by exporting a list of issues in CSV and then sorting by Target Version, but I agree with Ewan, it would be

very useful.  (and not just target version name, but perhaps the DATE associated with the target versions).

#7 - 2016-01-15 02:53 - Go MAEDA

- Status changed from Reopened to Closed
https://www.redmine.org/versions/3
https://www.redmine.org/versions/2


#1258#note-5 is a separate request from the original and seems a duplicate of #3869.

I am closing this issue.
